Bug 439006 - T60 powers off when suspended and plugged into dock
T60 powers off when suspended and plugged into dock
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity high
: rc
: ---
Assigned To: Peter Martuccelli
Red Hat Kernel QE team
:
Depends On:
Blocks: RHEL5u2_relnotes RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-03-26 10:53 EDT by Cameron Meadors
Modified: 2010-03-14 17:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
(all architectures) IBM T60 laptops will power off completely when suspended and plugged into a docking station. To avoid this, boot the system with the argument acpi_sleep=s3_bios.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 11:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2008-03-26 10:53:07 EDT
Description of problem:

If my T60 is suspended (suspend-to-ram), it powers off completely when I plug it
into my docking station.  I then have to turn it on with the power button.  When
I log in I get a dialog saying the resume failed.

Version-Release number of selected component (if applicable):

kernel-2.6.18-84.el5
gnome-power-manager-2.16.0-9.el5

How reproducible:

Every time

Steps to Reproduce:
1. Use gnome-power-manager menu or Fn-F4 to suspend.
2. Plug the laptop into the docking station
3. 

Actual results:

Laptop changes to a state of not suspended but plugged in to AC and charging battery

Expected results:

I am able to resume from suspend with it docked.

Additional info:

I would be happy to supply logs, but with the sudden power off, I doubt there
are any.
Comment 1 Brian Maly 2008-03-26 13:13:27 EDT
Does booting with "acpi_sleep=s3_bios" as a boot arg help any?
Comment 2 Cameron Meadors 2008-03-26 13:34:54 EDT
acpi_sleep=s3_bios does help.  I cycled suspend and resume in and out of the
dock a 6 or 7 times and only once did it power off when I docked it.  That was
in a different dock.  I will test more.
Comment 4 Don Domingo 2008-03-26 20:00:11 EDT
thanks, adding to RHEL5.2 release notes under "Known Issues":

<quote>
IBM T60 laptops will power off completely when suspended and plugged into a
docking station. To avoid this, boot the system with the argument
acpi_sleep=s3_bios.
</quote>

please advise if any further revisions are required. thanks!
Comment 5 Don Domingo 2008-04-01 22:11:31 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 6 Cameron Meadors 2008-04-03 10:46:55 EDT
I also see the same issue when I dock the laptop when running (not suspended). 
Is that a corrallary of this bug or a different bug?  The annoying thing is that
it is not every time, but more that half the time that laptop powers off.
Comment 7 Brian Maly 2008-04-03 12:38:47 EDT
Its the same bug if the workaround in Comment #1 solves the problem. If not its
a seperate bug and a bugzilla should be opened for that issue as well.
Comment 8 Cameron Meadors 2008-04-03 14:06:21 EDT
bug 440476 filed for new issue.
Comment 9 Ryan Lerch 2008-08-07 21:05:02 EDT
Tracking this bug for the Red Hat Enterprise Linux 5.3 Release Notes. 

This Release Note is currently located in the Known Issues section.
Comment 10 Ryan Lerch 2008-08-07 21:05:02 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Note You need to log in before you can comment on or make changes to this bug.